# $nokeywords$

PROJ = HOT_W16
!if "$(DEBUG)" == ""
DEBUG = 1
!MESSAGE No configuration specified.  Defaulting to 1 (hotspot - Debug).
!endif

!if "$(DEBUG)" != "0" && "$(DEBUG)" != "1"
!MESSAGE Invalid configuration "$(DEBUG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro DEBUG on the command line.  For example:
!MESSAGE
!MESSAGE NMAKE /f "hot_w16.mak" DEBUG="1"
!MESSAGE
!MESSAGE Possible choices for configuration are:
!MESSAGE
!MESSAGE "0" (Release version based on (x86) Application")
!MESSAGE "1" (Debug version based on (x86) Application")
!MESSAGE
!ERROR An invalid configuration is specified.
!endif


PROGTYPE = 0
CALLER =
ARGS =
DLLS =
D_RCDEFINES = /d_DEBUG
R_RCDEFINES = /dNDEBUG
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = .\

USEMFC = 1
!if "$(DEBUG)" == "0"
OUTDIR = $(PROJPATH)\Release
INTDIR = $(PROJPATH)\Release
!else
OUTDIR = $(PROJPATH)\Debug
INTDIR = $(PROJPATH)\Debug
!endif
NULL = nul
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG =
CPPCREATEPCHFLAG =
CUSEPCHFLAG =
CPPUSEPCHFLAG =
FIRSTC = HOTSPOT.C
FIRSTCPP =
RC = rc
CFLAGS_D_WEXE = /nologo /W3 /Zi /AM /Od /D "_DEBUG" /FR /GA /Fd"$(OUTDIR)\HOT_W16.PDB"
CFLAGS_R_WEXE = /nologo /W3 /AM /O1 /D "NDEBUG" /FR /GA
LFLAGS_D_WEXE = /NOLOGO /NOD /PACKC:61440 /ALIGN:16 /ONERROR:NOEXE /CO
LFLAGS_R_WEXE = /NOLOGO /NOD /PACKC:61440 /ALIGN:16 /ONERROR:NOEXE
LIBS_D_WEXE = oldnames libw mlibcew commdlg.lib ddeml.lib olecli.lib olesvr.lib shell.lib
LIBS_R_WEXE = oldnames libw mlibcew commdlg.lib ddeml.lib olecli.lib olesvr.lib shell.lib
RCFLAGS = /nologo
RESFLAGS = /nologo
RUNFLAGS =
DEFFILE = HOTSPOT.DEF
OBJS_EXT =
LIBS_EXT =

!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WEXE)
LFLAGS = $(LFLAGS_D_WEXE)
LIBS = $(LIBS_D_WEXE)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WEXE)
LFLAGS = $(LFLAGS_R_WEXE)
LIBS = $(LIBS_R_WEXE)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif

!if [if exist MSVC.BND del MSVC.BND]
!endif

all: "$(INTDIR)" hotspot.exe hot_w16.bsc

clean:
   -@erase hotspot.exe
   -@erase hotspot.sbr
   -@erase msvc.bnd
   -@erase $(INTDIR)\hotspot.obj
   -@erase $(INTDIR)\hotspot.res
   -@erase $(INTDIR)\hot_w16.pdb
   -@erase $(INTDIR)\hot_w16.bsc
   -@erase $(OUTDIR)\hotspot.exe

"$(INTDIR)" :
    if not exist "$(INTDIR)/$(NULL)" mkdir $(INTDIR)


SBRS = HOTSPOT.SBR

HOTSPOT_DEP = .\hotspot.h

HOTSPOT_RCDEP = .\hotspot.h \
    .\hotspot.ico


HOTSPOT.OBJ:   HOTSPOT.C $(HOTSPOT_DEP)
    $(CC) $(CFLAGS) $(CCREATEPCHFLAG) -c -Fo"$(INTDIR)\HOTSPOT.OBJ" HOTSPOT.C

hotspot.res:   HOTSPOT.RC $(HOTSPOT_RCDEP)
    $(RC) $(RCFLAGS) $(RCDEFINES) -r -Fo"$(INTDIR)\hotspot.res" HOTSPOT.RC


hotspot.exe::  hotspot.res

hotspot.exe::  HOTSPOT.OBJ $(OBJS_EXT) $(DEFFILE)
    echo >NUL @<<hot_w16.CRF
$(INTDIR)\HOTSPOT.OBJ +
$(OBJS_EXT)
$(INTDIR)\hotspot.exe
$(MAPFILE)
e:\msvc\lib\+
e:\msvc\mfc\lib\+
$(LIBS)
$(DEFFILE);
<<
    link $(LFLAGS) @hot_w16.CRF
    $(RC) $(RESFLAGS) $(INTDIR)\hotspot.res "$(INTDIR)\$@"
    @copy hot_w16.CRF MSVC.BND

hotspot.exe::  hotspot.res
    if not exist MSVC.BND  $(RC) $(RESFLAGS) $(INTDIR)\hotspot.res "$(INTDIR)\$@"

run: hotspot.exe
    $(INTDIR)\hot_w16 $(RUNFLAGS)


hot_w16.BSC: $(SBRS)
	bscmake @<<
/o"$(INTDIR)\$@" $(SBRS)
<<
    @copy $(INTDIR)\hotspot.exe $(PROJPATH)